SUBROUTINE GPINITHER(KST,KEND,PDHSF,KSTGLO)
!****
!     ------------------------------------------------------------------

!     INITIALIZING THE WEIGHT VECTORS.
!     ------------------------------------

!       -------------------------------------------------------
!     GOAL
!     ----

!     INPUT PARAMETERS
!     ----------------

!     ARGUMENTS IMPLICITES
!     --------------------

!     AUTRES ENTREES
!     --------------

!     OUTPUT
!     ------

!     WRITTEN BY
!     ----------

!     MODIFIED
!     --------
!     99-02-15 M. Janiskova: adapted gpiniddh only for the computations
!                            of the weights.

!     ------------------------------------------------------------------
!     PDHSF(NPROMA) : DISTRIBUTION OF HORIZONTAL MEANS WEIGHTS

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

USE YOMDIM   , ONLY : NPROMA
USE YOMMDDH  , ONLY : HDSF

IMPLICIT NONE

INTEGER(KIND=JPIM),INTENT(IN)    :: KST 
INTEGER(KIND=JPIM),INTENT(IN)    :: KEND 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PDHSF(NPROMA) 
INTEGER(KIND=JPIM),INTENT(IN)    :: KSTGLO 
INTEGER(KIND=JPIM) :: JROF
REAL(KIND=JPRB) :: ZHOOK_HANDLE

IF (LHOOK) CALL DR_HOOK('GPINITHER',0,ZHOOK_HANDLE)
DO JROF=KST,KEND
  PDHSF(JROF)=HDSF(JROF+KSTGLO-1)
ENDDO
IF (LHOOK) CALL DR_HOOK('GPINITHER',1,ZHOOK_HANDLE)

END SUBROUTINE GPINITHER

